Subject: Re: bug#6933: 24.0.50; fringe-mode value of `half' is broken
From: Eli Zaretskii <[email-masked]>
To: Chong Yidong <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 17 Sep 2010 23:14:36 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Chong Yidong <[email-masked]>
> Cc: Drew Adams <[email-masked]>, [email-masked]
> Date: Sat, 04 Sep 2010 14:34:47 -0400
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > This happens because fringe.el has this customization form for "half"
> > in the defcustom for fringe-mode:
> >
> > 		 (const :tag "Half width" (5 . 5))
> >
> > And the doc string for fringe-mode says this, among the rest:
> >
> >                                This command may round up the left and
> >     right width specifications to ensure that their sum is a multiple
> >     of the character width of a frame.
> >
> > So 5 is rounded up to 8, and the rest is history.
> >
> > I don't know why the values are 5 instead of 4.  The default fringe
> > width is 8 on all GUI displays, so half of that should have been 4,
> > not 5.  Maybe I'm missing some subtlety here.
> >
> > Can someone please check on X whether (fringe-mode '(4 . 4)) does TRT?
> > If it does, I think we should use 4 instead of 5 in the above
> > defcustom.
> 
> (4 . 4) seems to work fine for me on X.

I changed fringe.el to use (4 . 4).  So this bug should be fixed now
(revno 101464).